#
# spec file for package python-pythonwhois
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define commit 60adc3acc2d59627b2e32dc36d27802942e0820d/
Name:           python-pythonwhois
Version:        2.4.3
Release:        lp150.1.1
Summary:        Python whois library
License:        WTFPL
Group:          Development/Languages/Python
Url:            http://cryto.net/pythonwhois
#Source:         https://files.pythonhosted.org/packages/source/p/pythonwhois/pythonwhois-%%{version}.tar.gz
# github tarball includes docs and tests (which require network)
Source:         https://github.com/joepie91/python-whois/archive/%{commit}.zip#/%{name}-%{version}.zip
# PATCH-FIX-UPSTREAM remove_argparse_req.patch -- argparse is not a package
Patch0:         remove_argparse_req.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
%ifpython3
Conflicts:      perl-Net-Whois-Raw
%endif
BuildArch:      noarch

%python_subpackages

%description
Module for retrieving and parsing the WHOIS data for a domain.

%prep
%setup -q -n python-whois-%{commit}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone %{buildroot}%{_bindir}/pwhois

%files %{python_files}
%doc README.md doc/*.html
%license LICENSE.txt
%{_bindir}/pwhois-%{python_bin_suffix}
%python3_only %{_bindir}/pwhois
%{python_sitelib}/*

%changelog
* Mon Feb 19 2018 sebix+novell.com@sebix.at
- add conflict for perl-Net-Whois-Raw because of /usr/bin/pwhois
* Sun Feb 18 2018 sebix+novell.com@sebix.at
- initial package for version 2.4.3
- add remove_argparse_req.patch to fix package installation
